게재 위치
게재 위치 생성
새 게재 위치를 생성합니다.
접근 제어:
Admin과 Operator 계정은 게재 위치 리소스에 전체 접근 권한(생성/조회/수정/삭제)을 가집니다.
Advertiser 계정은 이 엔드포인트에 접근할 수 없습니다 — 배정 대상 선택용 경량 조회 뷰는 GET /placements/targets를 참고하세요.
POST
/
api
/
manager
/
placements
게재 위치 생성
curl --request POST \
--url https://your_a2_service/api/manager/placements \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ad_unit_ids": [
"<ad_unit_id>"
],
"description": "홈 화면 상단 지면",
"name": "메인 플레이스먼트",
"status": "ACTIVE"
}
'import requests
url = "https://your_a2_service/api/manager/placements"
payload = {
"ad_unit_ids": ["<ad_unit_id>"],
"description": "홈 화면 상단 지면",
"name": "메인 플레이스먼트",
"status": "ACTIVE"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ad_unit_ids: ['<ad_unit_id>'],
description: '홈 화면 상단 지면',
name: '메인 플레이스먼트',
status: 'ACTIVE'
})
};
fetch('https://your_a2_service/api/manager/placements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"ad_unit_ids": [],
"description": "<string>",
"ext": "<unknown>",
"no": 123,
"status": "INACTIVE"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}인증
Bearer 인증. 액세스 토큰을 Authorization: Bearer <token> 헤더로 전달합니다.
본문
application/json
POST /placements 요청 본문.
응답
성공 응답
게재 위치 변경(생성/수정) 응답 스키마.
게재 위치 생성 일시.
게재 위치를 생성한 사용자 ID.
게재 위치 고유 식별자 (UUID v4).
게재 위치 이름.
이 게재 위치에 연결된 광고 단위 ID 목록.
Maximum array length:
1000게재 위치의 선택적 설명.
게재 위치 관련 추가 데이터 확장 필드.
게재 위치의 운영 상태. 기본값은 Inactive.
사용 가능한 옵션:
ACTIVE, INACTIVE, ARCHIVED 이 페이지가 도움이 되었나요?
⌘I
게재 위치 생성
